This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1472372 - [3.4] Restart of atomic-openshift-node service terminates pod glusterfs mount
[3.4] Restart of atomic-openshift-node service terminates pod glusterfs mount
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage (Show other bugs)
3.4.1
x86_64 Linux
unspecified Severity high
: ---
: 3.4.z
Assigned To: Jan Safranek
Jianwei Hou
: NeedsTestCase, Reopened
Depends On: 1423640 1424680
Blocks: 1472370 1462254 1466217
  Show dependency treegraph
 
Reported: 2017-07-18 11:05 EDT by Scott Dodson
Modified: 2017-10-12 23:09 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When the atomic-openshift-node service got restarted, all processes in its control group are terminated, including the glusterfs mounted points. Consequence: Each glusterfs volume in OpenShift corresponds to one mounted point. If all mounting point are lost, so are all the volumes. Fix: Set the control group mode to terminate only the main process and leave the remaining glusterfs mounting points untouched. Result: When the atomic-openshift-node service is restarted no glusterfs mounting point is terminated.
Story Points: ---
Clone Of: 1423640
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Safranek 2017-09-04 07:07:05 EDT
Downstream PR: https://github.com/openshift/ose/pull/855
Comment 3 Jianwei Hou 2017-09-15 01:24:58 EDT
This is still reproducible on v3.4.1.44.19, the package attached to the advisory has not fixed this bug.
Comment 4 Jan Safranek 2017-09-15 09:52:48 EDT
It seems to be something wrong in our processes. This bug is fixed in enterprise-3.4 branch, however it is not part of tag v3.4.1.44.19. 

It will be part of the next release and it should be removed from errata RHBA-2017:30362-01.
Comment 5 Eric Paris 2017-09-26 13:44:59 EDT
this PR broke the build.

http://download-node-02.eng.bos.redhat.com/brewroot/work/tasks/8264/14118264/build.log

kicking back to Jan. Brad is also looking.
Comment 6 Jan Safranek 2017-09-27 07:35:19 EDT
Fixed by https://github.com/openshift/ose/pull/876
Comment 8 Jianwei Hou 2017-10-12 23:09:25 EDT
Tested with 3.4.1.44.26-1.git.0.a62e88b.el7, verified this is fixed.

Note You need to log in before you can comment on or make changes to this bug.